Enabling Support for VCD(VMware vCloud Director) 9.x on NetBackup 8.1.2.

Enabling Support for VCD(VMware vCloud Director) 9.x on NetBackup 8.1.2.

Article: 100045683
Last Published: 2019-06-12
Ratings: 2 1
Product(s): NetBackup

Problem

NetBackup Backup Host with version 8.1.2 currently supports VCD versions 9.0 and below.

Error Message

NA.

Solution

To enable support for VCD versions above 9.0 on NetBackup 8.1.2 backup hosts, EEB from ET3958911 should be applied.

Note:

Applying the EEB from ET3958911, will remove the ability on NetBackup 8.1.2 backup hosts to communicate with VCD versions prior to 9.0.

Building VIP query with mixed VCD version environments with the EEB from ET3958911 in place:

When building the VIP query for the VMware policy with a vCloud Director version that the master does not support, do the following when creating the policy:

  1. In the ‘NetBackup host to perform automatic virtual machine selection’ drop-down on the “Clients” tab specify a backup host with a NetBackup version that supports the vCloud Director version.

A NetBackup 8.1.2 with ET3958911 master server cannot enumerate possible values for pre-9.x vCloud fields.

  1. In the Query Builder, you must manually enter the name in the Value(s) field.

Select the other ‘Field’ and ‘Operator’ values in the Query Builder as required for your policy.

  1. Save the query and test it with the Test Query option.

When you restore VMs, ensure that you select a recovery host that supports the vCloud Director version for the VM that is restored.

References

Etrack : ET3979029

Was this content helpful?